Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImplicitFunctionCollection Class Reference

`#include <vtkImplicitFunctionCollection.h>`

Inheritance diagram for vtkImplicitFunctionCollection:

[legend]
Collaboration diagram for vtkImplicitFunctionCollection:

[legend]
List of all members.

## Detailed Description

maintain a list of implicit functions

Date:
  2002/12/26 18:24:21

Revision:
  1.34

vtkImplicitFunctionCollection is an object that creates and manipulates lists of objects of type vtkImplicitFunction.

See also:
  vtkCollection vtkPlaneCollection

Created by:
  - Hoffman, Bill
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (45%)
  - Hoffman, Bill (25%)
  - Martin, Ken (21%)

CVS logs (CVSweb):
  - .`cxx` (`/Common/vtkImplicitFunctionCollection.cxx)`
  - .`h` (`/Common/vtkImplicitFunctionCollection.h)`

Definition at line 48 of file vtkImplicitFunctionCollection.h.

## Public Types
typedef vtkCollection | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | AddItem (vtkImplicitFunction *)
vtkImplicitFunction * | GetNextItem ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkImplicitFunctionCollection * | SafeDownCast (vtkObject *o)
vtkImplicitFunctionCollection * | New ()
## Protected Methods
| vtkImplicitFunctionCollection ()
| ~vtkImplicitFunctionCollection ()

## Member Typedef Documentation

typedef vtkCollection vtkImplicitFunctionCollection::Superclass

| Reimplemented from vtkCollection. Definition at line 51 of file vtkImplicitFunctionCollection.h.

## Constructor & Destructor Documentation

vtkImplicitFunctionCollection::vtkImplicitFunctionCollection | ( |  | ) | `[inline, protected]`

| Definition at line 61 of file vtkImplicitFunctionCollection.h.

vtkImplicitFunctionCollection::~vtkImplicitFunctionCollection | ( |  | ) | `[inline, protected]`

| Definition at line 62 of file vtkImplicitFunctionCollection.h.

## Member Function Documentation

virtual const char* vtkImplicitFunctionCollection::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkCollection.

int vtkImplicitFunctionCollection::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkCollection.

virtual int vtkImplicitFunctionCollection::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkCollection.

vtkImplicitFunctionCollection* vtkImplicitFunctionCollection::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkCollection.

vtkImplicitFunctionCollection* vtkImplicitFunctionCollection::New | ( |  | ) | `[static]`

| Construct with empty list. Reimplemented from vtkCollection.

void vtkImplicitFunctionCollection::AddItem | ( | vtkImplicitFunction * |  | ) | `[inline]`

| Add an implicit function to the list. Definition at line 74 of file vtkImplicitFunctionCollection.h. References vtkCollection::AddItem().

vtkImplicitFunction * vtkImplicitFunctionCollection::GetNextItem | ( |  | ) | `[inline]`

| Get the next implicit function in the list. Definition at line 79 of file vtkImplicitFunctionCollection.h. References vtkCollection::GetNextItemAsObject().

The documentation for this class was generated from the following file:

- Common/vtkImplicitFunctionCollection.h